# SWS微应用适配器

用于快速接入SWS中后台的微应用适配器

### API

#### 1. 获取微应用运行环境

~~~javascript
import {getRuntimeEnvironment} from "sws-micro-app-adapter-mobile";

// h5 or microApp
const runtimeEnvironment = getRuntimeEnvironment(); 
~~~

#### 2. 挂载微应用

支持独立运行在浏览器中，但需要提前调用login方法，进行用户信息初始化

~~~javascript
import {mountApp} from "sws-micro-app-adapter-mobile";

mountApp(() => {
    // initial app
});
~~~

#### 3. 卸载微应用

~~~javascript
import {unmountApp} from "sws-micro-app-adapter-mobile";

unmountApp(() => {
    // destroy app
});
~~~

#### 4. 获取用户信息

~~~javascript
import {getUserInfo} from "sws-micro-app-adapter-mobile";

const userInfo = getUserInfo();
~~~

#### 5. 获取访问Token

~~~javascript
import {getAccessToken} from "sws-micro-app-adapter-mobile";

const accessToken = getAccessToken();
~~~

#### 6. 获取APP配置数据

~~~javascript
import {getAppConfig} from "sws-micro-app-adapter-mobile";

getAppConfig("appId").then(configData => {
    console.log(configData);
})
~~~

#### 7. 登录

用于开发时让微应用独立在浏览器中运行，不建议在生产中使用

~~~javascript
import {login} from "sws-micro-app-adapter-mobile";

login("工号", "密码").then(userInfo => {
    console.log(userInfo);
})
~~~
