export declare enum RuntimeEnvironment {
    H5 = "h5",
    MICRO_APP = "microApp"
}
/**
 * 获取微应用运行环境
 */
export declare const getRuntimeEnvironment: () => RuntimeEnvironment;
/**
 * 获取静态资源访问路径
 */
export declare const getPublicPath: () => string;
/**
 * 路由跳转
 * @param path 要跳转的路径
 */
export declare const appRouter: (path: string) => void;
/**
 * 判断是否为微应用环境
 */
export declare const isMicroAppEnvironment: () => boolean;
