export interface UserInfo {
    /**
     * 用户ID
     */
    id: string;
    /**
     * 访问Token
     */
    accessToken: string;
    /**
     * 工号
     */
    account: string;
    /**
     * 头像
     */
    avatar: string;
    /**
     * 部门ID，多个部门用英文逗号隔开（,）
     */
    deptId: string;
    /**
     * 用户名
     */
    nickName: string;
    /**
     * 姓名
     */
    realName: string;
    /**
     * 角色ID，多个角色用英文逗号隔开（,）
     */
    roleId: string;
    /**
     * 角色名称，多个角色用英文逗号隔开（,）
     */
    roleName: string;
}
export declare const userInfoStorageKey = "swstime:userInfo";
/**
 * 登录
 * @param username  工号
 * @param password  密码
 * @param tenantId  租户号
 */
export declare const login: (username: string, password: string, tenantId?: string) => Promise<UserInfo>;
/**
 * 获取当前登录用户的用户信息
 */
export declare const getUserInfo: () => UserInfo;
/**
 * 获取当前登录用户的权限列表
 */
export declare const getPermissionList: () => Promise<Array<string>>;
/**
 * 获取当前登录用户的访问Token
 */
export declare const getAccessToken: () => string;
